%define name	simdock
%define version	1.2
%define release %mkrel 1

Summary:   SimDock is a fast and customizable dockbar
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPLv2+
URL: http://sourceforge.net/projects/simdock/
Source0: http://sourceforge.net/projects/simdock/%{name}_%{version}.tar.gz
Source1: source.tar.bz2
Group:     Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk2-devel 
BuildRequires: pkgconfig
BuildRequires: libx11_6-devel 
BuildRequires: libwnck-devel 
BuildRequires: wxGTK2.8-devel 
BuildRequires: GConf-devel 



%description
A Dockbar for GNOME
SimDock is a fast and customizable dockbar. It is written in c++ and wxWidgets 
and fits well in Gnome but works on most desktop environments. Does not require 
Compiz nor 3D acceleration.

%prep
%setup -q -n trunk

%build
%configure2_5x

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

convert $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png -resize 48 \
$RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

#fix missing FF icon
mkdir -p $RPM_BUILD_ROOT/%{_datadir}
bzip2 -cd %SOURCE1 | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}

%find_lang %{name}

%post
%update_menus


%postun
rm -rf /usr/share/firefox
%clean_menus


%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS TODO LICENSE README AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/firefox/icons/mozicon128.png

%changelog
* Thu Feb 11 2010 slick50 <lxgator@gmail.com> 1.2-1pclos2010
- initial pkg

